Subject: bug#65187: closed (Re: bug#65187: 29.1; right edge of wide image can not be displayed in image-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 14 Aug 2023 11:52:02 +0000

Your bug report

#65187: 29.1; right edge of wide image can not be displayed in image-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65187: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65187
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65187: 29.1; right edge of wide image can not be displayed in image-mode
From: Eli Zaretskii <[email-masked]>
To: Michael Heerdegen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 14 Aug 2023 14:51:04 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 14 Aug 2023 02:37:01 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I see no bug here.  What am I missing?
> 
> I don't know, I only wanted to help to reproduce the recipe.
> 
> Though, C-h k C-e says "Scroll horizontally to the right edge of the
> image in the current window.".  That suggests to me that the
> right edge would be made visible.

It _is_ made visible, but if the portion of the image that exceeds the
window's width is small enough, the result is that the few extra
pixels are clipped, but from the display engine's POV we are "at the
right edge".  IOW, the horizontal scrolling in Emacs works on the
column granularity, not on pixel granularity.

This is not a bug, so I'm closing it.

Subject: 29.1; right edge of wide image can not be displayed in image-mode
From: [email-masked]
To: [email-masked]
Date: Thu, 10 Aug 2023 09:00:55 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Evaluate the following sexp and type C-e to display the right side of
the image.
The vertical red line on the right edge should be displayed.
But it is not displayed.

(let* ((w (+ (window-pixel-width) 100))
       (h 100)
       (stroke-width 4)
       (rect-w (- w stroke-width))
       (rect-h (- h stroke-width))
       (rect-x (/ stroke-width 2))
       (rect-y (/ stroke-width 2))
       (svg (format "\
<svg width=\"%d\" height=\"%d\">
<rect width=\"%d\" height=\"%d\" x=\"%d\" y=\"%d\"\
 fill=\"blue\" stroke=\"red\" stroke-width=\"%d\"/>
</svg>\
" w h rect-w rect-h rect-x rect-y stroke-width)))
  (switch-to-buffer (generate-new-buffer "tmpsvg"))
  (insert svg)
  (let ((image-auto-resize nil))
    (image-mode)))

In GNU Emacs 29.1 (build 2, x86_64-w64-mingw32) of 2023-08-02 built on
 AVALON
Windowing system distributor 'Microsoft Corp.', version 10.0.19045
System Description: Microsoft Windows 10 Pro (v10.0.2009.19045.3324)

Configured using:
 'configure --with-modules --without-dbus --with-native-compilation=aot
 --without-compress-install --with-tree-sitter CFLAGS=-O2'

Configured features:
ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XPM ZLIB

(NATIVE_COMP present but libgccjit not available)

Important settings:
  value of $LANG: JPN
  locale-coding-system: cp932

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny rfc822
mml mml-sec password-cache epa derived epg rfc6068 epg-config gnus-util
text-property-search time-date subr-x mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils image-mode dired
dired-loaddefs exif find-func thingatpt cl-loaddefs cl-lib term/bobcat
japan-util rmc iso-transl tooltip cconv eldoc paren electric uniquify
ediff-hook vc-hooks lisp-float-type elisp-mode mwheel dos-w32 ls-lisp
disp-table term/w32-win w32-win w32-vars term/common-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow
isearch easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads w32notify w32 lcms2 multi-tty
make-network-process native-compile emacs)

Memory information:
((conses 16 56584 11826)
 (symbols 48 5452 0)
 (strings 32 16938 1538)
 (string-bytes 1 699488)
 (vectors 16 11294)
 (vector-slots 8 344551 20642)
 (floats 8 46 27)
 (intervals 56 446 120)
 (buffers 984 12))